# PhasicFlow: dataEntry Class Reference

dataEntry Class Reference
Inheritance diagram for dataEntry:
[legend]
Collaboration diagram for dataEntry:
[legend]

## Public Member Functions

| dataEntry ()
| dataEntry (const word &keyword, const dictionary &parDict)
| dataEntry (const word &keyWord, const dictionary &parDict, const iTstream &is)
| dataEntry (const word &keyWord, const dictionary &parDict, iIstream &is)
| dataEntry (const word &keyword, const dictionary &parDict, const token &tok)
template<typename T >
| dataEntry (const word &keyword, const dictionary &parDict, const T &v)
| dataEntry (const word &keyword, const dictionary &parDict, const dataEntry &entry)
| dataEntry (const dataEntry &src)=default
virtual word | globalName () const
virtual iTstream & | stream ()
virtual dictionary * | dictPtr ()
virtual const dictionary * | dictPtr () const
virtual bool | isDictionary () const
virtual const dictionary & | parrentDict () const
virtual dictionary & | dict ()
virtual const dictionary & | dict () const
virtual iEntry * | clonePtr () const
virtual uniquePtr< iEntry > | clone () const
virtual iEntry * | clonePtr (const dictionary &parDict) const
virtual uniquePtr< iEntry > | clone (const dictionary &parDict) const
virtual bool | read (iIstream &is)
virtual bool | write (iOstream &os) const
Public Member Functions inherited from iEntry
| TypeInfo ("iEntry")
| iEntry ()
| iEntry (const word &key)
virtual | ~iEntry ()
virtual const word & | keyword () const
virtual word & | keyword ()
virtual word | name () const

## Static Public Attributes

static dataEntry | nullDataEntry

## Protected Member Functions

bool | readDataEntry (iIstream &is)
bool | writeDataEntry (iOstream &os) const
Protected Member Functions inherited from iEntry
bool | writeKeyword (iOstream &os) const

## Protected Attributes

const dictionary & | parDict_
iTstream | tokenStream_
Protected Attributes inherited from iEntry
word | keyword_

## Additional Inherited Members

Static Public Member Functions inherited from iEntry
static bool | readKeyword (iIstream &is, word &keyword, token &tok)
static bool | createEntry (dictionary &parDict, iIstream &is, bool hasBlockToken=false)

## Detailed Description

Definition at line 40 of file dataEntry.hpp.

## Constructor & Destructor Documentation

## dataEntry() [1/8]

dataEntry | ( |  | ) |

Definition at line 159 of file dataEntry.cpp.

## dataEntry() [2/8]

dataEntry | ( | const word & | keyword,
|  | const dictionary & | parDict
| ) |  |

Definition at line 168 of file dataEntry.cpp.

## dataEntry() [3/8]

dataEntry | ( | const word & | keyWord,
|  | const dictionary & | parDict,
|  | const iTstream & | is
| ) |  |

Definition at line 185 of file dataEntry.cpp.

## dataEntry() [4/8]

dataEntry | ( | const word & | keyWord,
|  | const dictionary & | parDict,
|  | iIstream & | is
| ) |  |

Definition at line 203 of file dataEntry.cpp.

References fatalExit, ioErrorInFile, IOstream::lineNumber(), and IOstream::name().

Here is the call graph for this function:

## dataEntry() [5/8]

dataEntry | ( | const word & | keyword,
|  | const dictionary & | parDict,
|  | const token & | tok
| ) |  |

Definition at line 227 of file dataEntry.cpp.

## dataEntry() [6/8]

dataEntry | ( | const word & | keyword,
|  | const dictionary & | parDict,
|  | const T & | v
| ) |  |

Definition at line 147 of file dataEntry.hpp.

References pFlow::endStatementToken(), dataEntry::globalName(), oTstream::tokens(), and dataEntry::tokenStream_.

Here is the call graph for this function:

## dataEntry() [7/8]

dataEntry | ( | const word & | keyword,
|  | const dictionary & | parDict,
|  | const dataEntry & | entry
| ) |  |

Definition at line 247 of file dataEntry.cpp.

References iTstream::tokens(), and dataEntry::tokenStream_.

Here is the call graph for this function:

## dataEntry() [8/8]

dataEntry | ( | const dataEntry & | src | ) |

default

## Member Function Documentation

## readDataEntry()

bool readDataEntry | ( | iIstream & | is | ) |

protected

Definition at line 35 of file dataEntry.cpp.

References IOstream::bad(), IOstream::fatalCheck(), fatalExit, FUNCTION_NAME, token::good(), ioErrorInFile, token::isPunctuation(), IOstream::lineNumber(), IOstream::name(), token::pToken(), and iIstream::read().

Here is the call graph for this function:

## writeDataEntry()

bool writeDataEntry | ( | iOstream & | os | ) | const

protected

Definition at line 98 of file dataEntry.cpp.

References iOstream::endEntry(), pFlow::endStatementToken(), isBeginToken(), isEndToken(), and pFlow::spaceToken().

Here is the call graph for this function:

## globalName()

pFlow::word globalName | ( |  | ) | const

virtual

Implements iEntry.

Definition at line 291 of file dataEntry.cpp.

Referenced by dataEntry::dataEntry().

Here is the caller graph for this function:

## stream()

pFlow::iTstream & stream | ( |  | ) |

virtual

Definition at line 261 of file dataEntry.cpp.

References iTstream::rewind().

Referenced by dictionary::readDataEntry(), and twoPartEntry::twoPartEntry().

Here is the call graph for this function:
Here is the caller graph for this function:

## dictPtr() [1/2]

const pFlow::dictionary * dictPtr | ( |  | ) |

virtual

Reimplemented from iEntry.

Definition at line 269 of file dataEntry.cpp.

References pFlow::endl(), fatalErrorInFunction, and fatalExit.

Here is the call graph for this function:

## dictPtr() [2/2]

virtual const dictionary* dictPtr | ( |  | ) | const

virtual

Reimplemented from iEntry.

## isDictionary()

bool isDictionary | ( |  | ) | const

virtual

Reimplemented from iEntry.

Definition at line 286 of file dataEntry.cpp.

## parrentDict()

const pFlow::dictionary & parrentDict | ( |  | ) | const

virtual

Implements iEntry.

Definition at line 297 of file dataEntry.cpp.

## dict() [1/2]

const pFlow::dictionary & dict | ( |  | ) |

virtual

Implements iEntry.

Definition at line 303 of file dataEntry.cpp.

References pFlow::endl(), fatalErrorInFunction, and fatalExit.

Here is the call graph for this function:

## dict() [2/2]

virtual const dictionary& dict | ( |  | ) | const

virtual

Implements iEntry.

## clonePtr() [1/2]

pFlow::iEntry * clonePtr | ( |  | ) | const

virtual

Implements iEntry.

Definition at line 327 of file dataEntry.cpp.

## clone() [1/2]

pFlow::uniquePtr< pFlow::iEntry > clone | ( |  | ) | const

virtual

Implements iEntry.

Definition at line 321 of file dataEntry.cpp.

## clonePtr() [2/2]

pFlow::iEntry * clonePtr | ( | const dictionary & | parDict | ) | const

virtual

Implements iEntry.

Definition at line 338 of file dataEntry.cpp.

## clone() [2/2]

pFlow::uniquePtr< pFlow::iEntry > clone | ( | const dictionary & | parDict | ) | const

virtual

Implements iEntry.

Definition at line 333 of file dataEntry.cpp.

## read()

bool read | ( | iIstream & | is | ) |

virtual

Implements iEntry.

Definition at line 345 of file dataEntry.cpp.

References pFlow::endl(), fatalErrorInFunction, fatalExit, ioErrorInFile, IOstream::lineNumber(), and IOstream::name().

Here is the call graph for this function:

## write()

bool write | ( | iOstream & | os | ) | const

virtual

Implements iEntry.

Definition at line 366 of file dataEntry.cpp.

References fatalExit, ioErrorInFile, IOstream::lineNumber(), and IOstream::name().

Here is the call graph for this function:

## Member Data Documentation

## parDict_

const dictionary& parDict_

protected

Definition at line 50 of file dataEntry.hpp.

## tokenStream_

iTstream tokenStream_

protected

Definition at line 53 of file dataEntry.hpp.

Referenced by dataEntry::dataEntry().

## nullDataEntry

pFlow::dataEntry nullDataEntry

static

Definition at line 66 of file dataEntry.hpp.

Referenced by dictionary::dataEntryRef().

The documentation for this class was generated from the following files:

- src/phasicFlow/dictionary/entry/dataEntry.hpp
- src/phasicFlow/dictionary/entry/dataEntry.cpp